Yet Another HTTP Library: YaHTTP Namespace Reference

Yet Another HTTP Library yahttp

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Typedefs | Enumerations | Functions | Variables
YaHTTP Namespace Reference

## Classes
class | Cookie
class | CookieJar
class | Error
class | ParseError
class | HTTPBase
class | Response
class | Request
class | AsyncLoader
class | AsyncResponseLoader
class | AsyncRequestLoader
class | Router
class | URL
struct | ASCIICINullSafeComparator
class | DateTime
class | Utility

## Typedefs
typedef std::map< std::string, Cookie, ASCIICINullSafeComparator > | strcookie_map_t
typedef funcptr::tuple< int, int > | TDelim
typedef funcptr::function < void(Request *req, Response *resp)> | THandlerFunction
| Handler function pointer. More...
typedef funcptr::tuple < std::string, std::string, THandlerFunction, std::string > | TRoute
| Route tuple (method, urlmask, handler, name) More...
typedef std::vector< TRoute > | TRouteList
| List of routes in order of evaluation. More...
typedef std::map< std::string, std::string, ASCIICINullSafeComparator > | strstr_map_t

## Enumerations
enum | postformat_t { urlencoded, multipart }

## Functions
std::ostream & | operator<< (std::ostream &os, const Response &resp)
std::istream & | operator>> (std::istream &is, Response &resp)
std::ostream & | operator<< (std::ostream &os, const Request &req)
std::istream & | operator>> (std::istream &is, Request &req)

## Variables
static const char * | MONTHS [] = {0,"Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec",0}
static const char * | DAYS [] = {"Sun","Mon","Tue","Wed","Thu","Fri","Sat",0}

## Typedef Documentation

typedef std::map<std::string,Cookie,ASCIICINullSafeComparator> YaHTTP::strcookie_map_t

typedef std::map<std::string,std::string,ASCIICINullSafeComparator> YaHTTP::strstr_map_t

typedef funcptr::tuple<int,int> YaHTTP::TDelim

typedef funcptr::function<void(Request* req, Response* resp)> YaHTTP::THandlerFunction

Handler function pointer.

typedef funcptr::tuple<std::string, std::string, THandlerFunction, std::string> YaHTTP::TRoute

Route tuple (method, urlmask, handler, name)

typedef std::vector<TRoute> YaHTTP::TRouteList

List of routes in order of evaluation.

## Enumeration Type Documentation

enum YaHTTP::postformat_t

Enumerator
urlencoded |
multipart |

## Function Documentation

std::ostream& YaHTTP::operator<< | ( | std::ostream & | os,
|  | const Response & | resp
| ) |  |

std::ostream& YaHTTP::operator<< | ( | std::ostream & | os,
|  | const Request & | req
| ) |  |

std::istream& YaHTTP::operator>> | ( | std::istream & | is,
|  | Response & | resp
| ) |  |

std::istream& YaHTTP::operator>> | ( | std::istream & | is,
|  | Request & | req
| ) |  |

## Variable Documentation

const char* YaHTTP::DAYS[] = {"Sun","Mon","Tue","Wed","Thu","Fri","Sat",0}
| static

const char* YaHTTP::MONTHS[] = {0,"Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec",0}
| static